数据配置列表¶
POST 查询自定义数据集合¶
POST /prod-api/waf/wafv3/dataList/describeCustomDataList
Body 请求参数
{
"pageSize": 10,
"pageNum": 1,
"params": {},
"filters": [
{
"label": "listName",
"value": ["vfg"]
}
]
}
请求参数¶
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| Authorization | header | string | 否 | - | |
| body | body | object | 否 | - | |
| » filters | body | [SearchFilterVo] | 否 | 搜索条件 | - |
| »» SearchFilterVo | body | SearchFilterVo | 否 | SearchFilterVo | - |
| »»» label | body | string | 否 | 搜索名称 | listName(组名称)/ data(IP/主机名/用户代理)/ message(备注) |
| »»» value | body | [string] | 否 | 值 | - |
| » pageNum | body | integer(int32) | 是 | 当前页数 | - |
| » pageSize | body | integer(int32) | 是 | 每页显示个数 | - |
返回示例
200 Response
{
"total": 1,
"rows": [
{
"dataListId": 83,
"listName": "vfg",
"message": "ee",
"dataListClass": "IP_SRC",
"dataListClassLabel": "IP",
"updateTime": "2026-03-10 15:29:51",
"rules": []
}
],
"code": 200,
"msg": "成功"
}
201 Response
返回结果¶
| 状态码 | 状态码含义 | 说明 | 数据模型 |
|---|---|---|---|
| 200 | OK | - | Inline |
| 201 | Created | - | Inline |
| 401 | Unauthorized | - | Inline |
| 403 | Forbidden | - | Inline |
| 404 | Not Found | - | Inline |
返回数据结构¶
状态码 200
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| » total | integer | true | - | 总数 | - |
| » rows | [object] | true | - | 数据 | - |
| »» dataListId | integer | false | - | ID | - |
| »» listName | string | false | - | 组名称 | - |
| »» message | string | false | - | 备注 | - |
| »» dataListClass | string | false | - | 类型 | - |
| »» dataListClassLabel | string | false | - | 类型值 | - |
| »» updateTime | string | false | - | 最后更新时间 | - |
| »» rules | [string] | false | - | 项目 | - |
| » code | integer | true | - | - | |
| » msg | string | true | - | - |
数据模型¶
DescribeCustomDataListVO
{
"country": "string",
"createBy": "string",
"createTime": "2019-08-24T14:15:22Z",
"filters": [
{
"label": "string",
"value": ["string"]
}
],
"pageNum": 0,
"pageSize": 0,
"params": {},
"remark": "string",
"searchHeader": {},
"searchValue": "string",
"updateBy": "string",
"updateTime": "2019-08-24T14:15:22Z",
"userId": 0
}
DescribeCustomDataListVO
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| country | string | false | - | - | |
| createBy | string | false | - | - | |
| createTime | string(date-time) | false | - | - | |
| filters | [SearchFilterVo] | false | - | 搜索条件 | - |
| pageNum | integer(int32) | true | - | 当前页数 | - |
| pageSize | integer(int32) | true | - | 每页显示个数 | - |
| params | object | false | - | - | |
| remark | string | false | - | - | |
| searchHeader | object | false | - | - | |
| searchValue | string | false | - | - | |
| updateBy | string | false | - | - | |
| updateTime | string(date-time) | false | - | - | |
| userId | integer(int64) | false | - | - |
SearchFilterVo
SearchFilterVo
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| label | string | false | - | 搜索名称 | listName(组名称)/ data(IP/主机名/用户代理)/ message(备注) |
| value | [string] | false | - | 值 | - |